{% extends "base.html.twig" %}

{% block title %}AppBundle:Profil:index{% endblock %}

{% block body %}
    <div class="container">
        <a href="/logout" style="float: right; margin-top: 10px;"><button type="button" class="btn btn-dark">Déconnexion</button></a>
        <h1>Edition de profil</h1>
    </div>

<div class="jumbotron" style="padding: 2rem 1rem !important;">
    <div class="container">
        {{ form_start(form) }}
        {{ form_errors(form) }}
        <div class="row">
            <div class="col-md-6">
                <div class="form-row">
                    <div class="form-group col-md-6">
                        {{ form_label(form.lastName) }}
                        {{ form_widget(form.lastName, {'attr': {'class':'form-control', 'placeholder': 'Nom'}}) }}
                    </div>
                    <div class="form-group col-md-6">
                        {{ form_label(form.firstName) }}
                        {{ form_widget(form.firstName, {'attr': {'class':'form-control', 'placeholder': 'Prénom'}}) }}
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        {{ form_label(form.birthday) }}
                        {{ form_widget(form.birthday, {'attr': {'placeholder': 'Date de naissance'}}) }}
                    </div>
                    <div class="form-group col-md-6">
                        {{ form_label(form.promo) }}
                        {{ form_widget(form.promo, {'attr': {'class':'form-control', 'placeholder': 'i.e : A3 Dev'}}) }}
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        {{ form_label(form.intro) }}
                        {{ form_widget(form.intro, {'attr': {'rows': 4, 'class':'form-control', 'placeholder': 'A propos de moi...'}}) }}
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="img-section">
                    <img src="{{ srcImg }}" class="imgCircle" alt="Profile picture">
                    <span class="fake-icon-edit" id="PicUpload" style="color: #ffffff;">
                       <i class="fa fa-camera" style="font-size: 50px; margin-left: 25px; margin-top: 20px; color: #333;"></i>
                    </span>
                </div>
                {{ form_widget(form.img, {'attr': {'class':'form-control form-input Profile-input-file'}}) }}
            </div>
        </div>
            <div class="shadow">
                <div class="preview-box">
                    <div class="form-row" style="margin-top: 10px;">
                        <div class="form-group col-md-6">
                            <div class="input-group mb-2">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><img class="logo-label" src="https://static.xx.fbcdn.net/rsrc.php/yo/r/iRmz9lCMBD2.ico" alt="fb"></div>
                                </div>
                                {{ form_widget(form.fb, {'attr':{'class':'form-control', 'placeholder':'Facebook'}}) }}
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <div class="input-group mb-2">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><img class="logo-label" src="https://github.githubassets.com/favicon.ico" alt="gh"></div>
                                </div>
                                {{ form_widget(form.github, {'attr':{'class':'form-control', 'placeholder':'GitHub'}}) }}
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <div class="input-group mb-2">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><img class="logo-label" src="https://static-exp1.licdn.com/scds/common/u/images/logos/favicons/v1/favicon.ico" alt="lknd"></div>
                                </div>
                                {{ form_widget(form.lkdn, {'attr':{'class':'form-control', 'placeholder':'LinkedIn'}}) }}
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <div class="input-group mb-2">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><img class="logo-label" src="https://gitlab.com/assets/favicon-7901bd695fb93edb07975966062049829afb56cf11511236e61bcf425070e36e.png" alt="gl"></div>
                                </div>
                                {{ form_widget(form.gitlab, {'attr':{'class':'form-control', 'placeholder':'GitLab'}}) }}
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <div class="input-group mb-2">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><img class="logo-label" src="https://abs.twimg.com/favicons/favicon.ico" alt="twtr"></div>
                                </div>
                                {{ form_widget(form.twtr, {'attr':{'class':'form-control', 'placeholder':'Twitter'}}) }}
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <div class="input-group mb-2">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><img class="logo-label" src="https://cdn.sstatic.net/Sites/stackoverflow/img/favicon.ico?v=4f32ecc8f43d" alt="so"></div>
                                </div>
                                {{ form_widget(form.so, {'attr':{'class':'form-control', 'placeholder':'Stack Overflow'}}) }}
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <div class="input-group mb-2">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><img class="logo-label" src="https://www.instagram.com/static/images/ico/favicon.ico/36b3ee2d91ed.ico" alt="insta"></div>
                                </div>
                                {{ form_widget(form.insta, {'attr':{'class':'form-control', 'placeholder':'Instagram'}}) }}
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <div class="input-group mb-2">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><img class="logo-label" src="https://s.ytimg.com/yts/img/favicon-vfl8qSV2F.ico" alt="yt"></div>
                                </div>
                                {{ form_widget(form.video, {'attr':{'class':'form-control', 'placeholder':'Vidéo'}}) }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="shadow">
                <div class="preview-box">
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            {{ form_label(form.pdfCv) }}
                            {{ form_widget(form.pdfCv, {'attr': {'class':'form-control-file'}}) }}
                        </div>
                        <div class="form-group col-md-6">
                            {{ form_label(form.linkCv) }}
                            {{ form_widget(form.linkCv, {'attr': {'class':'form-control form-input'}}) }}
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            {{ form_label(form.phone) }}
                            {{ form_widget(form.phone, {'attr': {'class':'form-control form-input'}}) }}
                        </div>
                        <div class="form-group col-md-6">
                            {{ form_label(form.city) }}
                            {{ form_widget(form.city, {'attr': {'class':'form-control form-input'}}) }}
                        </div>
                    </div>
                </div>
            </div>
        <div class="shadow">
            <div class="preview-box">
                <div class="col-md-12">
                    <div class="dropdown">
                        <button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">Badges
                            <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu" style="max-height: 500px; overflow-y: scroll;">
                            {% for badge in badges %}
                            <li id="badge-{{ badge.id }}" onclick="addBadgeToProfil({{ badge.id }})">
                                <a href="#">
                                    <img src="{{ badge.img }}" width="17px" />{{ badge.name }}</a>
                            </li>
                            {% endfor %}
                        </ul>
                    </div>
                    <div style="display: flex; flex-wrap: wrap; align-content: space-around; padding-top: 70px;">
                        {% for userBadge in userBadges %}
                            <div style="cursor:pointer; margin: 10px; width: 112px">
                                <img src="{{ asset('/assets/badges/')}}{{ userBadge.badge.img }}" alt="img" style="height: 80px; width: auto;"/>
                                <p style="text-align: center">{{ userBadge.badge.name }}</p>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12 text-center">
            {{ form_widget(form.save, {'attr': {'style':'margin-top:10px;'}}) }}
        </div>

        {{ form_end(form) }}
    </div>
</div>
    <div class="hidden" id="profilId">{{ profilId }}</div>

    <script>
        $(document).ready(function () {
            $('.imgCircle').width(300).height(300);
            $('#PicUpload').click(function () {
                $('.Profile-input-file').click()
            })
            $('.Profile-input-file').change(function () {
                readURL($(this)[0]);
            })
        });

        function addBadgeToProfil(idBadge) {
            dataSend = {};
            dataSend.idBadge = idBadge;
            dataSend.idProfil = $('#profilId').text();
            $.ajax({
                type: 'GET',
                url: '{{ path('profil.edit.badge.add') }}',
                data: dataSend,
                success: function (data) {
                    
                }
            })
        }

        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('.imgCircle')
                        .attr('src', e.target.result)
                        .width(300)
                        .height(300);
                };
                reader.readAsDataURL(input.files[0]);
            }
        }
    </script>


<style>
    .Profile-input-file{
        height:180px;width:180px;left:33%;
        position: absolute;
        top: 0px;
        z-index: 0;
        opacity: 0 !important;
    }

    .imgCircle{
        width: 300px;
        height: 300%;
        object-fit: cover;
        border-radius: 50%;
    }

    .img-section{
        float: left;
        width: 100%;
        padding-top: 15px;
        padding-left: 23%;
        padding-bottom: 15px;
        position: relative;
    }
    .img-section h4{
        color:#fff;
    }
    #PicUpload{
        color: #ffffff;
        width: 300px;
        height: 300px;
        padding: 100px;
        position: absolute;
        border-radius: 50%;
        display: none;
        top:15px;
        background: rgba(255,255,255,0.4);
        z-index: 1;

    }

    .img-section:hover #PicUpload{
        display: block;
        cursor: pointer;
    }

    .shadow {
        background: inherit;
        padding: 3px;
        margin-top: 10px;
    }

    .preview-box {
        padding: 15px;
        text-align: center;
        overflow: hidden;
        background: inherit;
        border: 1px solid #e6e6e6;
    }

    .logo-label {
        height: 24px;
        width: auto;
    }
</style>
{% endblock %}
